Bug 104894 - Kernel panic VFS
Kernel panic VFS
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-23 07:25 EDT by Miloš Komarčević
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-29 19:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output with "root=/dev/hda6" (7.72 KB, text/plain)
2003-09-23 07:26 EDT, Miloš Komarčević
no flags Details

  None (edit)
Description Miloš Komarčević 2003-09-23 07:25:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
After upgrading to 2.4.22-1.2049.nptl and 2051 from rawhide, 
I get a kernel panic while mounting the root ext3 filesystem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot 2.4.22-1.2051.nptl kernel

Actual Results:  
VFS: Mounted root (ext2 filesystem).
attempt to access beyond end of device
01:00: rw=0, want=4924, limit=4096
attempt to access beyond end of device
01:00: rw=0, want=4924, limit=4096
attempt to access beyond end of device
01:00: rw=0, want=4928, limit=4096
VFS: Cannot open root device "LABEL=/" or 00:00
Please append a correct "root=" boot option
Kernel panic: VFS: Unable to mount root fs or 00:00

If I change the boot option to "root=/dev/hda6" I can get the kernel
to boot, but errors are still present (dmesg output included).

Expected Results:  
Kernel mounts the root filesystem without errors and boots normally  

Additional info:

This has worked up until 2.4.22-1.2044.nptl and no boot options have been
changed. There is also no problems with 2.6.0-0.test5.1.38
Comment 1 Miloš Komarčević 2003-09-23 07:26:35 EDT
Created attachment 94648 [details]
dmesg output with "root=/dev/hda6"
Comment 2 Bill Nottingham 2003-09-23 10:45:56 EDT
Did you remake your initrd correctly?
Comment 3 Miloš Komarčević 2003-09-23 11:16:50 EDT
Well I did now, and everything works, thanks.

Still beats me why it didn't get created correctly by the postinstall
script in the first place. 
I'm installing with 'rpm -ivh --oldpacakge' (because I also have 2.6 on)
and didn't have these problems before until 2.4.22-1.2049.nptl
Comment 4 Miloš Komarčević 2003-09-24 12:14:03 EDT
Ok, I've got rid of 2.6 temporarily and installed today's 2.4.22-1.2061.nptl
without '--oldpackage' and initrd got created correctly this time.

Let me know if you're interested in testing this further to pinpoint what
really happened; otherwise, please feel free to close this bug.
Comment 5 Dave Jones 2004-10-29 19:27:30 EDT

Note You need to log in before you can comment on or make changes to this bug.